#include <Wire.h>
#include <LiquidCrystal_I2C.h>

// For these LCD controls to work you MUST replace the standard LCD library from...
// https://github.com/marcoschwartz/LiquidCrystal_I2C
// Direct download https://github.com/marcoschwartz/LiquidCrystal_I2C/archive/master.zip
// Your project will not compile until this is done.
LiquidCrystal_I2C lcd_I2C_27(0x27,16,2); // set the LCD address for a 16 chars and 2 line display

void setup(){  // put your setup code here, to run once:
  Serial.begin(9600); // opens serial port, sets data rate to 9600 bps
  lcd_I2C_27.init (); // initialize the lcd
  lcd_I2C_27.backlight();
}

void loop(){  // put your main code here, to run repeatedly:
  Serial.print(analogRead( A0 )); //print message
  Serial.print(" "); //print a blank
  Serial.println();
  delay( 20 ); // waits a few milliseconds 
  if ( analogRead( A0 ) < 600 ) { //if else 迴圈判斷光敏電阻被擋的執行程序
    lcd_I2C_27.clear();
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( " " ); // 列印空白.
    tone(11, 440, 100); //因為沒跳擋住光線給光敏電阻 因此喇叭叫
  }
  else  {
    lcd_I2C_27.clear();//清除lcd原先印的東西
    lcd_I2C_27.setCursor(0 , 0) ; // set the cursor, counting begins with 0 
    lcd_I2C_27.print( "jump" ); // 跳的時候不會有聲音, lcd印出jump.
  }
}
